-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Jun 12, 2023 at 10:11 PM
-- Server version: 10.4.28-MariaDB
-- PHP Version: 8.2.4

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `registracija_vozila`
--
CREATE DATABASE IF NOT EXISTS `registracija_vozila` DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci;
USE `registracija_vozila`;

-- --------------------------------------------------------

--
-- Table structure for table `agencija`
--

DROP TABLE IF EXISTS `agencija`;
CREATE TABLE `agencija` (
  `IdA` int(11) NOT NULL,
  `Naziv` varchar(45) NOT NULL,
  `Adresa` varchar(45) NOT NULL,
  `Cena` varchar(45) NOT NULL,
  `VremeOtvaranja` int(11) NOT NULL,
  `VremeZatvaranja` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `agencija`
--

INSERT INTO `agencija` (`IdA`, `Naziv`, `Adresa`, `Cena`, `VremeOtvaranja`, `VremeZatvaranja`) VALUES
(1, 'Agencija 1', 'Bulevar kralja Aleksandra 173', '5000', 8, 16),
(2, 'Agencija 2', 'Bulevar kralja Aleksandra 273', '4000', 9, 15),
(3, 'Top agencija', 'Slavija', '5500', 12, 18);

-- --------------------------------------------------------

--
-- Table structure for table `termin`
--

DROP TABLE IF EXISTS `termin`;
CREATE TABLE `termin` (
  `IdT` int(11) NOT NULL,
  `RegTablice` varchar(45) NOT NULL,
  `Cena` varchar(45) NOT NULL,
  `Datum` varchar(45) NOT NULL,
  `Vreme` int(11) NOT NULL,
  `IdA` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `termin`
--

INSERT INTO `termin` (`IdT`, `RegTablice`, `Cena`, `Datum`, `Vreme`, `IdA`) VALUES
(1, 'BG123AB', '4000', '2023-06-15', 12, 1),
(2, 'BG123DA', '5000', '2023-06-15', 13, 2),
(3, 'BG133FA', '5000', '2023-06-15', 11, 2),
(4, 'BG789TT', '5000', '2023-06-17', 13, 2),
(5, 'BG239VF', '5000', '2023-06-17', 10, 2);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `agencija`
--
ALTER TABLE `agencija`
  ADD PRIMARY KEY (`IdA`);

--
-- Indexes for table `termin`
--
ALTER TABLE `termin`
  ADD PRIMARY KEY (`IdT`),
  ADD KEY `fk_agencija_registracija` (`IdA`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `agencija`
--
ALTER TABLE `agencija`
  MODIFY `IdA` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `termin`
--
ALTER TABLE `termin`
  MODIFY `IdT` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `termin`
--
ALTER TABLE `termin`
  ADD CONSTRAINT `fk_agencija_registracija` FOREIGN KEY (`IdA`) REFERENCES `agencija` (`IdA`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
